BizKitHub
DocsAPI ReferenceCalendar Event/bff/calendar/event-type-list
getCalendar EventAdmin BFF

/bff/calendar/event-type-list

Returns all event types available for the organisation.

Calendar EventgetBffCalendarEvent-type-list

Parameters

No parameters required

This endpoint takes no path, query, header or body parameters.

Response schema

1 status code documented

200Success
itemsobject[]Required
Each array item:
labelstringRequired

Event type display label.

codestringRequired

Unique event type code.

colorstringRequired

Hex color for the event type.

Response example

application/json
{
  "items": [
    {
      "label": "example_label",
      "code": "example_code",
      "color": "example_color"
    }
  ]
}

Request example

GET /bff/calendar/event-type-list

get
curl -X GET "https://api.bizkithub.com/bff/calendar/event-type-list" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY"

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key